Index: data/trunk/levels/vertical_scroller.oxw
===================================================================
--- data/trunk/levels/vertical_scroller.oxw	(revision 4901)
+++ data/trunk/levels/vertical_scroller.oxw	(revision 4902)
@@ -16,18 +16,35 @@
 
   <WorldEntities>
-    <Building>
-      <name>zhara</name>
-      <model>models/space_stations/ZHARA_Space_Station.obj,30</model>
-      <abs-coor>-20,0,30</abs-coor>
-      <abs-dir>0.3,0,1,0</abs-dir>
-    </Building>
 
     <Planet>
       <name>Moon</name>
-      <texture>textures/planets/mars.png</texture>
+      <texture>textures/planets/pluto.png</texture>
       <size>100</size>
       <abs-coor>3610, 116, -656</abs-coor>
       <abs-dir>0.3,0,1,0</abs-dir>
     </Planet>
+
+    <ActionboxEnemy>
+      <name>Noxon01</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>895.826904, 118.867111, -283.239410</abs-coor>
+      <abs-dir> 0.193116, -0.090633, -0.976817, 0.017918 </abs-dir>
+    </ActionboxEnemy>
+
+
+    <ActionboxEnemy>
+      <name>Noxon02</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>932.626221, 154.866180, -131.888626</abs-coor>
+      <abs-dir>  0.193116, -0.090633, -0.976817, 0.017918</abs-dir>
+    </ActionboxEnemy>
+
+
+    <ActionboxEnemy>
+      <name>Noxon03</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>1154.911621, 127.052818, -38.380138</abs-coor>
+      <abs-dir> </abs-dir>
+    </ActionboxEnemy>
 
     <Rotor>
@@ -62,5 +79,5 @@
         <ActionBox>45, 25, 450, 6</ActionBox>
         <mode>1</mode>
-        <speed>50</speed>
+        <speed>30</speed>
         <addPoint>0,0,0</addPoint>
         <addPoint>219.837738, -0.605457, 37.411240</addPoint>
@@ -118,5 +135,5 @@
       <Camera>
         <name>cameraOne</name>
-          <abs-coor>2800,5,50</abs-coor>
+        <abs-coor>3604.608398, 155.705444, -312.326019</abs-coor>
       </Camera>
     </Cameras>
Index: data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4901)
+++ data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4902)
@@ -1,2 +1,4 @@
+--register classes
+thisscript:registerClass("Explosion")
 -- Get objects from orxonox
 thisscript:addObject("SpaceShip", "Player")
@@ -6,9 +8,17 @@
 triggerFadeOut = SpaceTrigger()
 triggerFadeOut:setScript("vs1.lua")
-triggerFadeOut:setFunction("fadeOut")
-triggerFadeOut:setRadius(250)
+triggerFadeOut:setFunction("explodeSpaceship")
+triggerFadeOut:setRadius(280)
 triggerFadeOut:setTarget("Player")
 triggerFadeOut:setAbsCoor(3610, 116, -656)
 triggerFadeOut:setDebugDraw(true)
+
+triggerSwitchCam = SpaceTrigger()
+triggerSwitchCam:setScript("vs1.lua")
+triggerSwitchCam:setFunction("switchCam")
+triggerSwitchCam:setRadius(300)
+triggerSwitchCam:setTarget("Player")
+triggerSwitchCam:setAbsCoor(3610, 116, -656)
+triggerSwitchCam:setDebugDraw(true)
 
 triggerEndLevel = TimeTrigger()
@@ -17,17 +27,34 @@
 triggerEndLevel:setDelay(5)
 
-teststring = "asdf";
+--initialisation
+explosion = Explosion()
+cameraManager:changeTarget("cameraOne","SpaceShip", "Player")
 
-function fadeOut(timestep)
-  cameraManager:toggleFade()
-  print(teststring)
-  triggerEndLevel:start()
-  return true
-end
+-- globals
+boomSize = 100
+
 
 function changeLevel(timestep)
-  print("changelvl now\n\n\n\n\n\n")
   gameWorld:setNextStoryName("Moonstation")
   gameWorld:stop()
   return true
 end
+
+
+function explodeSpaceship(timestep)
+	explosion:setAbsCoor(Player:getAbsCoorX(),Player:getAbsCoorY(),Player:getAbsCoorZ())
+	explosion:explode(boomSize,boomSize,boomSize)
+	boomSize = boomSize + 10
+	if boomSize == 600 then
+ 		  triggerEndLevel:start()
+		  cameraManager:toggleFade()
+		return true
+	end
+	return false
+end
+
+function switchCam(timestep)
+cameraManager:setCam("cameraOne")
+cameraManager:jumpCurrCam(3604.608398, 155.705444, -312.326019)
+return true
+end
